For the complete documentation index, see llms.txt. This page is also available as Markdown.

List available WordPress plugins

List plugins recommended for installation on a WordPress installation that are not yet installed.

List available WordPress plugins

get

List plugins recommended for installation on a WordPress installation that are not yet installed.

Provide the WordPress installation (software) identifier in the path. It can be obtained from GET /api/hosting/v1/wordpress/installations (the id field).

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
softwarestringRequired

WordPress installation (software) identifier

Example: 1232456789Pattern: ^[0-9]+$
Responses
200

Success response

application/json
slugstringOptional

Plugin slug used when installing the plugin

Example: akismet
titlestringOptional

Human readable plugin name

Example: Akismet Anti-Spam
descriptionstringOptional

Short plugin description

Example: Protect your site from spam.
onboarding_description_slugstring · nullableOptional

Translation slug for the onboarding description

Example: akismet_onboarding_description
recommended_description_slugstring · nullableOptional

Translation slug for the recommended description

Example: akismet_recommended_description
linkstringOptional

Link to the plugin page on WordPress.org

Example: https://wordpress.org/plugins/akismet/
versionstringOptional

Latest available plugin version

Example: 5.3
required_wordpress_versionstringOptional

Minimum WordPress version required by the plugin

Example: 5.8
required_php_versionstringOptional

Minimum PHP version required by the plugin

Example: 7.2
is_plan_upgrade_neededbooleanOptional

Whether a hosting plan upgrade is required to use the plugin

Example: false
get/api/hosting/v1/accounts/{username}/wordpress/{software}/plugins/available
GET /api/hosting/v1/accounts/{username}/wordpress/{software}/plugins/available HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "slug": "akismet",
    "title": "Akismet Anti-Spam",
    "description": "Protect your site from spam.",
    "onboarding_description_slug": "akismet_onboarding_description",
    "recommended_description_slug": "akismet_recommended_description",
    "link": "https://wordpress.org/plugins/akismet/",
    "version": "5.3",
    "required_wordpress_version": "5.8",
    "required_php_version": "7.2",
    "is_plan_upgrade_needed": false
  }
]

Last updated

Was this helpful?